
QGIS Application - Bug report #13421

'split parts' tool deletes one of the two newly created parts

2015-09-24 09:32 PM - Laurence Bechet 

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21470

Description

Take any polygon shapefile. Use the split part tool on it. Only one half of the polygon remains (see video).

Associated revisions

Revision 5de94447 - 2015-10-13 07:59 AM - Nyall Dawson

Fix split parts tool only leaves one of the newly created parts (fix #13421)

History

#1 - 2015-09-25 07:33 AM - Saber Razmjooei

- Category set to Digitising

- Status changed from Open to Feedback

Can't reproduce. Could you share your example file?

#2 - 2015-09-26 08:54 PM - Laurence Bechet 

- File Recording__3.mp4 added

- File Polygon.zip added

Sure. Here they are.

#3 - 2015-09-27 09:39 AM - Saber Razmjooei

- Affected QGIS version changed from 2.10.1 to master

- Target version set to Version 2.12

- Priority changed from Normal to Severe/Regression

- Status changed from Feedback to Open

Same in master.

#4 - 2015-10-09 07:46 AM - Jürgen Fischer

- File deleted (Recording__3.mp4)
#5 - 2015-10-09 07:47 AM - Jürgen Fischer

- Status changed from Open to Feedback

Does that happen for any polygon for you?   Works fine for me, but the polygon doesn't look like the one from the video.

#6 - 2015-10-09 10:03 PM - Laurence Bechet 

Yes. My own files but also polygon files used at a training. I used the same set of files as the trainer who had Wien while I was using Pisa. Worked as

expected for her not for me.

Checked again with another polygon file I found, on windows7, 64b with Pisa (2.10.1) QGIS code revision d20c5b7

and with 2.11.0-master QGIS code revision 3dcabfb

#7 - 2015-10-12 10:20 AM - Saber Razmjooei

- Status changed from Feedback to Open

#8 - 2015-10-12 02:25 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

Ok, I can reproduce and have tracked this down. Working on a fix now.

#9 - 2015-10-12 11:00 PM - Nyall Dawson

- Status changed from In Progress to Closed

Fixed in changeset commit:"5de94447187e353f916520becccb1c645abd5706".

Files

Recording__3.mp4 248 KB 2015-09-24 Laurence Bechet 

Polygon.zip 4.28 KB 2015-09-26 Laurence Bechet 
